v1.0
get
/ec-site-svc/rest/v1.0/organizations/{id}
Retrieves an organization based on the organization ID.
Request
Path Parameters
-
id(required): string
ID of an organization.Example:
C36A3197FDEE433FB5547EE83DE99E4B
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : Contacts
Type:
Show Source
object-
comment: string
Minimum Length:
0Maximum Length:2048Additional user comment about the latest change.Example:Association adjusted after data reconciliation. -
contactId: string
Minimum Length:
0Maximum Length:50Represents contact id for this record.Example:SITE-001 -
contactType(required): string
(uuid)
Represents contact type for this record.
-
degree: string
Minimum Length:
0Maximum Length:200Represents degree for this record.Example:Sample Value -
disbarmentEnd: string
(date-time)
Represents disbarment end for this record.Example:
2026-03-16T12:00:00Z -
disbarmentStart: string
(date-time)
Represents disbarment start for this record.Example:
2026-03-16T12:00:00Z -
firstName(required): string
Minimum Length:
0Maximum Length:100Represents first name for this record.Example:Sample Name -
id: string
(uuid)
Unique identifier for this record.
-
lastName(required): string
Minimum Length:
0Maximum Length:100Represents last name for this record.Example:Sample Name -
middleName: string
Minimum Length:
0Maximum Length:100Represents middle name for this record.Example:Sample Name -
prefix: string
(uuid)
Represents prefix for this record.
-
prefixCodeValue: string
Represents prefix code value for this record.Example:
Sample Value -
primarySpecialityId: string
(uuid)
Represents primary speciality id for this record.
-
reason: string
Minimum Length:
0Maximum Length:255Reason for the latest change made to this record.Example:Protocol update requested by study operations. -
status(required): string
(uuid)
Represents status for this record.
-
statusCodeValue: string
Display value for the status code.Example:
ACTIVE -
studyAgnostic(required): string
Represents study agnostic for this record.Example:
N -
studyId(required): string
Identifier of the related study.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
suffix: string
(uuid)
Represents suffix for this record.
-
suffixCodeValue: string
Represents suffix code value for this record.Example:
Sample Value -
taxId: string
Minimum Length:
0Maximum Length:50Represents tax id for this record.Example:Sample Value -
timezone: string
Represents timezone for this record.Example:
UTC -
versionStart: string
(date-time)
Timestamp when this version became active.Example:
2026-03-16T12:00:00Z
Examples
400 Response
Returned when one or more path parameters, query parameters, or request-body values fail endpoint validation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : details
Type:
objectExamples